import { Libp2p } from '@libp2p/interface-libp2p';
import Libp2pResponse from './utils/Libp2pResponse.js';
type DataPayload = string | {
    [key: string]: any;
};
declare class Libp2pHttp {
    node: Libp2p;
    constructor(node: Libp2p);
    static init: (node: Libp2p) => Libp2pHttp;
    send: (requestString: string, data: DataPayload) => Promise<Libp2pResponse<string>>;
    registerHandler(protocol: string, handlerFunction: (data: any) => Promise<any>): void;
}
export default Libp2pHttp;
