import { PeerId } from "@libp2p/interface-peer-id";
import { Multiaddr } from "@multiformats/multiaddr";
interface Libp2pComponents {
    target: PeerId | Multiaddr;
    protocol: string;
}
declare class Libp2pRequest {
    private target;
    private protocol;
    constructor(requestString: string);
    getComponents(): Libp2pComponents;
}
export default Libp2pRequest;
